"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHasAttribute = void 0;
/**
 * @name getHasAttribute
 * @type filter
 * @description only returns tokens of that have any of the specified attributes
 * @param attributes one more multiple attributes (`strings`)
 * @returns filter function
 */
const getHasAttribute = (...attributes) => (token) => attributes.some((attr) => Object.prototype.hasOwnProperty.call(token, attr));
exports.getHasAttribute = getHasAttribute;
