"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.javascriptEsm = void 0;
const style_dictionary_1 = __importDefault(require("style-dictionary"));
const prettier_1 = require("prettier");
const jsonToNestedValue_1 = require("../utilities/jsonToNestedValue");
const { fileHeader } = style_dictionary_1.default.formatHelpers;
const javascriptEsm = ({ dictionary, file, options, platform = {} }) => {
    const { prefix } = platform;
    const tokens = prefix ? { [prefix]: dictionary.tokens } : dictionary.tokens;
    //
    const output = fileHeader({ file }) +
        `export default \n${JSON.stringify((0, jsonToNestedValue_1.jsonToNestedValue)(tokens), null, 2)}\n`;
    // return prettified
    return (0, prettier_1.format)(output, Object.assign({ parser: 'typescript', printWidth: 500 }, options === null || options === void 0 ? void 0 : options.prettier));
};
exports.javascriptEsm = javascriptEsm;
