"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fontCss = void 0;
const isTypography_1 = require("../filter/isTypography");
/**
 * @description convert a w3c `typography` token to a value that can be used with the css `font` property
 */
exports.fontCss = {
    type: `value`,
    transitive: true,
    matcher: isTypography_1.isTypography,
    transformer: ({ value }) => {
        // font: font-style font-variant font-weight font-size/line-height font-family;
        return `${value.fontStyle || ''} ${value.fontWeight || ''} ${value.fontSize}${value.lineHeight ? '/' + value.lineHeight : ''} ${value.fontFamily}`.trim().replace(/\s\s+/g, ' ');
    }
};
